import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 13:32
 */
export interface GatewayVO{
    /**
    * k8s_id
    * @type { string }
    */
    k8sId?: string;
    /**
    * label
    * @type { string }
    */
    label?: string;
    /**
    * config_center_code
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * image_id
    * @type { string }
    */
    imageId?: string;
    /**
    * spec_name
    * @type { string }
    */
    specName?: string;
    /**
    * metrics_name
    * @type { string }
    */
    metricsName?: string;
    /**
    * image_port_mapping
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * domain
    * @type { string }
    */
    domain?: string;
    /**
    * uri
    * @type { string }
    */
    uri?: string;
    /**
    * slb
    * @type { string }
    */
    slb?: string;
}
export class GatewayVOMI{ 
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','k8s_id');
    }
    static get LABEL(): FieldInfo{  
        return new FieldInfo('label','label');
    }
    static get CONFIG_CENTER_CODE(): FieldInfo{  
        return new FieldInfo('configCenterCode','config_center_code');
    }
    static get IMAGE_ID(): FieldInfo{  
        return new FieldInfo('imageId','image_id');
    }
    static get SPEC_NAME(): FieldInfo{  
        return new FieldInfo('specName','spec_name');
    }
    static get METRICS_NAME(): FieldInfo{  
        return new FieldInfo('metricsName','metrics_name');
    }
    static get IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('imagePortMapping','image_port_mapping');
    }
    static get DOMAIN(): FieldInfo{  
        return new FieldInfo('domain','domain');
    }
    static get URI(): FieldInfo{  
        return new FieldInfo('uri','uri');
    }
    static get SLB(): FieldInfo{  
        return new FieldInfo('slb','slb');
    }
}


